package model;

/**
 * 一粒子ランダムウォーク
 * @author tadaki
 */
public class Walker {

    private int x = 0;//position
    private double p = 0.5;//probability for moving left

    /**
     * 初期化
     * @param p 右向き移動の確率 
     */
    public Walker(double p) {
        this.p = p;
    }

    /**
     * 位置更新
     * @return 新しい位置 
     */
    public int update() {
        if (Math.random() < p) {
            x++;
        } else {
            x--;
        }
        return x;
    }

    /**
     * 移動確率の再設定
     * @param p 右への移動確率
     * @param x 位置
     */
    public void initialize(double p, int x) {
        this.p = p;
        this.x = x;
    }

    public int getX() {
        return x;
    }
    
}
